searchData={"items":[{"type":"module","title":"GoogleApi.TravelImpactModel.V1","doc":"API client metadata for GoogleApi.TravelImpactModel.V1.","ref":"GoogleApi.TravelImpactModel.V1.html"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.discovery_revision/0","doc":"","ref":"GoogleApi.TravelImpactModel.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.TravelImpactModel.V1.Api.Flights","doc":"API calls for all endpoints tagged `Flights`.","ref":"GoogleApi.TravelImpactModel.V1.Api.Flights.html"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Api.Flights.travelimpactmodel_flights_compute_flight_emissions/3","doc":"Stateless method to retrieve emission estimates. Details on how emission estimates are computed: https://github.com/google/travel-impact-model The response will contain all entries that match the input flight legs, in the same order. If there are no estimates available for a certain flight leg, the response will return the flight leg object with empty emission fields. The request will still be considered successful. Reasons for missing emission estimates include: - The flight is unknown to the server. - The input flight leg is missing one or more identifiers. - The flight date is in the past. - The aircraft type is not supported by the model. - Missing seat configuration. The request can contain up to 1000 flight legs. If the request has more than 1000 direct flights, if will fail with an INVALID_ARGUMENT error.","ref":"GoogleApi.TravelImpactModel.V1.Api.Flights.html#travelimpactmodel_flights_compute_flight_emissions/3"},{"type":"function","title":"Parameters - GoogleApi.TravelImpactModel.V1.Api.Flights.travelimpactmodel_flights_compute_flight_emissions/3","doc":"*   `connection` (*type:* `GoogleApi.TravelImpactModel.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.TravelImpactModel.V1.Api.Flights.html#travelimpactmodel_flights_compute_flight_emissions/3-parameters"},{"type":"function","title":"Returns - GoogleApi.TravelImpactModel.V1.Api.Flights.travelimpactmodel_flights_compute_flight_emissions/3","doc":"*   `{:ok, %GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.TravelImpactModel.V1.Api.Flights.html#travelimpactmodel_flights_compute_flight_emissions/3-returns"},{"type":"module","title":"GoogleApi.TravelImpactModel.V1.Connection","doc":"Handle Tesla connections for GoogleApi.TravelImpactModel.V1.","ref":"GoogleApi.TravelImpactModel.V1.Connection.html"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.TravelImpactModel.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.TravelImpactModel.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.TravelImpactModel.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.TravelImpactModel.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.TravelImpactModel.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyword list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.TravelImpactModel.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.TravelImpactModel.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.TravelImpactModel.V1.Connection.t/0","doc":"","ref":"GoogleApi.TravelImpactModel.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsRequest","doc":"Input definition for the ComputeFlightEmissions request.","ref":"GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsRequest","doc":"*   `flights` (*type:* `list(GoogleApi.TravelImpactModel.V1.Model.Flight.t)`, *default:* `nil`) - Required. Direct flights to return emission estimates for.","ref":"GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsRequest.t/0","doc":"","ref":"GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsResponse","doc":"Output definition for the ComputeFlightEmissions response.","ref":"GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsResponse","doc":"*   `flightEmissions` (*type:* `list(GoogleApi.TravelImpactModel.V1.Model.FlightWithEmissions.t)`, *default:* `nil`) - List of flight legs with emission estimates.\n*   `modelVersion` (*type:* `GoogleApi.TravelImpactModel.V1.Model.ModelVersion.t`, *default:* `nil`) - The model version under which emission estimates for all flights in this response were computed.","ref":"GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsResponse.t/0","doc":"","ref":"GoogleApi.TravelImpactModel.V1.Model.ComputeFlightEmissionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.TravelImpactModel.V1.Model.Date","doc":"Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: * A full date, with non-zero year, month, and day values. * A month and day, with a zero year (for example, an anniversary). * A year on its own, with a zero month and a zero day. * A year and month, with a zero day (for example, a credit card expiration date). Related types: * google.type.TimeOfDay * google.type.DateTime * google.protobuf.Timestamp","ref":"GoogleApi.TravelImpactModel.V1.Model.Date.html"},{"type":"module","title":"Attributes - GoogleApi.TravelImpactModel.V1.Model.Date","doc":"*   `day` (*type:* `integer()`, *default:* `nil`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n*   `month` (*type:* `integer()`, *default:* `nil`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n*   `year` (*type:* `integer()`, *default:* `nil`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.","ref":"GoogleApi.TravelImpactModel.V1.Model.Date.html#module-attributes"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Model.Date.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.TravelImpactModel.V1.Model.Date.html#decode/2"},{"type":"type","title":"GoogleApi.TravelImpactModel.V1.Model.Date.t/0","doc":"","ref":"GoogleApi.TravelImpactModel.V1.Model.Date.html#t:t/0"},{"type":"module","title":"GoogleApi.TravelImpactModel.V1.Model.EmissionsGramsPerPax","doc":"Grouped emissions per seating class results.","ref":"GoogleApi.TravelImpactModel.V1.Model.EmissionsGramsPerPax.html"},{"type":"module","title":"Attributes - GoogleApi.TravelImpactModel.V1.Model.EmissionsGramsPerPax","doc":"*   `business` (*type:* `integer()`, *default:* `nil`) - Emissions for one passenger in business class in grams. This field is always computed and populated, regardless of whether the aircraft has business class seats or not.\n*   `economy` (*type:* `integer()`, *default:* `nil`) - Emissions for one passenger in economy class in grams. This field is always computed and populated, regardless of whether the aircraft has economy class seats or not.\n*   `first` (*type:* `integer()`, *default:* `nil`) - Emissions for one passenger in first class in grams. This field is always computed and populated, regardless of whether the aircraft has first class seats or not.\n*   `premiumEconomy` (*type:* `integer()`, *default:* `nil`) - Emissions for one passenger in premium economy class in grams. This field is always computed and populated, regardless of whether the aircraft has premium economy class seats or not.","ref":"GoogleApi.TravelImpactModel.V1.Model.EmissionsGramsPerPax.html#module-attributes"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Model.EmissionsGramsPerPax.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.TravelImpactModel.V1.Model.EmissionsGramsPerPax.html#decode/2"},{"type":"type","title":"GoogleApi.TravelImpactModel.V1.Model.EmissionsGramsPerPax.t/0","doc":"","ref":"GoogleApi.TravelImpactModel.V1.Model.EmissionsGramsPerPax.html#t:t/0"},{"type":"module","title":"GoogleApi.TravelImpactModel.V1.Model.Flight","doc":"All details related to a single request item for a direct flight emission estimates.","ref":"GoogleApi.TravelImpactModel.V1.Model.Flight.html"},{"type":"module","title":"Attributes - GoogleApi.TravelImpactModel.V1.Model.Flight","doc":"*   `departureDate` (*type:* `GoogleApi.TravelImpactModel.V1.Model.Date.t`, *default:* `nil`) - Required. Date of the flight in the time zone of the origin airport. Must be a date in the present or future.\n*   `destination` (*type:* `String.t`, *default:* `nil`) - Required. IATA airport code for flight destination, e.g. \"JFK\".\n*   `flightNumber` (*type:* `integer()`, *default:* `nil`) - Required. Flight number, e.g. 324.\n*   `operatingCarrierCode` (*type:* `String.t`, *default:* `nil`) - Required. IATA carrier code, e.g. \"AA\".\n*   `origin` (*type:* `String.t`, *default:* `nil`) - Required. IATA airport code for flight origin, e.g. \"LHR\".","ref":"GoogleApi.TravelImpactModel.V1.Model.Flight.html#module-attributes"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Model.Flight.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.TravelImpactModel.V1.Model.Flight.html#decode/2"},{"type":"type","title":"GoogleApi.TravelImpactModel.V1.Model.Flight.t/0","doc":"","ref":"GoogleApi.TravelImpactModel.V1.Model.Flight.html#t:t/0"},{"type":"module","title":"GoogleApi.TravelImpactModel.V1.Model.FlightWithEmissions","doc":"Direct flight with emission estimates.","ref":"GoogleApi.TravelImpactModel.V1.Model.FlightWithEmissions.html"},{"type":"module","title":"Attributes - GoogleApi.TravelImpactModel.V1.Model.FlightWithEmissions","doc":"*   `emissionsGramsPerPax` (*type:* `GoogleApi.TravelImpactModel.V1.Model.EmissionsGramsPerPax.t`, *default:* `nil`) - Optional. Per-passenger emission estimate numbers. Will not be present if emissions could not be computed. For the list of reasons why emissions could not be computed, see ComputeFlightEmissions. This field uses wtw emissions aka ttw_emissions_grams_per_pax + wtt_emissions_grams_per_pax.\n*   `flight` (*type:* `GoogleApi.TravelImpactModel.V1.Model.Flight.t`, *default:* `nil`) - Required. Matches the flight identifiers in the request. Note: all IATA codes are capitalized.","ref":"GoogleApi.TravelImpactModel.V1.Model.FlightWithEmissions.html#module-attributes"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Model.FlightWithEmissions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.TravelImpactModel.V1.Model.FlightWithEmissions.html#decode/2"},{"type":"type","title":"GoogleApi.TravelImpactModel.V1.Model.FlightWithEmissions.t/0","doc":"","ref":"GoogleApi.TravelImpactModel.V1.Model.FlightWithEmissions.html#t:t/0"},{"type":"module","title":"GoogleApi.TravelImpactModel.V1.Model.ModelVersion","doc":"Travel Impact Model version. For more information about the model versioning see https://github.com/google/travel-impact-model/#versioning.","ref":"GoogleApi.TravelImpactModel.V1.Model.ModelVersion.html"},{"type":"module","title":"Attributes - GoogleApi.TravelImpactModel.V1.Model.ModelVersion","doc":"*   `dated` (*type:* `String.t`, *default:* `nil`) - Dated versions: Model datasets are recreated with refreshed input data but no change to the algorithms regularly.\n*   `major` (*type:* `integer()`, *default:* `nil`) - Major versions: Major changes to methodology (e.g. adding new data sources to the model that lead to major output changes). Such changes will be infrequent and announced well in advance. Might involve API version changes, which will respect guidelines in https://cloud.google.com/endpoints/docs/openapi/versioning-an-api#backwards-incompatible\n*   `minor` (*type:* `integer()`, *default:* `nil`) - Minor versions: Changes to the model that, while being consistent across schema versions, change the model parameters or implementation.\n*   `patch` (*type:* `integer()`, *default:* `nil`) - Patch versions: Implementation changes meant to address bugs or inaccuracies in the model implementation.","ref":"GoogleApi.TravelImpactModel.V1.Model.ModelVersion.html#module-attributes"},{"type":"function","title":"GoogleApi.TravelImpactModel.V1.Model.ModelVersion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.TravelImpactModel.V1.Model.ModelVersion.html#decode/2"},{"type":"type","title":"GoogleApi.TravelImpactModel.V1.Model.ModelVersion.t/0","doc":"","ref":"GoogleApi.TravelImpactModel.V1.Model.ModelVersion.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}